const ageRadios = document.getElementsByName("age");
const genderRadios = document.getElementsByName("gender");
const incomeRadios = document.getElementsByName("income");
const hourRadios = document.getElementsByName("hour");

ageRadios.forEach((radio) => {
    radio.addEventListener("change", () => smoothScroll("#question2"));
});

genderRadios.forEach((radio) => {
    radio.addEventListener("change", () => smoothScroll("#question3"));
});

incomeRadios.forEach((radio) => {
    radio.addEventListener("change", () => smoothScroll("#question4"));
});

hourRadios.forEach((radio) => {
    radio.addEventListener("change", () => smoothScroll(".line-btn"));
});

function smoothScroll(target) {
    const targetElement = document.querySelector(target);
    let adjustmentHeight = 0;
    if (target === "#question2" || target === "#question3" || target === "#question4") {
        adjustmentHeight = document.querySelector(".question__icon--second").clientHeight;
    }
    if (targetElement) {
        window.scrollTo({
            top: targetElement.offsetTop - adjustmentHeight,
            behavior: "smooth",
        });
    }
}
